summaryrefslogtreecommitdiff
path: root/tests/futility/test_read.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/futility/test_read.sh')
-rwxr-xr-xtests/futility/test_read.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/futility/test_read.sh b/tests/futility/test_read.sh
new file mode 100755
index 00000000..2720c1fb
--- /dev/null
+++ b/tests/futility/test_read.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+# Copyright 2022 The ChromiumOS Authors
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -eux
+
+me=${0##*/}
+TMP="${me}.tmp"
+
+# Work in scratch directory
+cd "${OUTDIR}"
+
+PEPPY_BIOS="${SCRIPT_DIR}/futility/data/bios_peppy_mp.bin"
+
+"${FUTILITY}" read --emulate="${PEPPY_BIOS}" "${TMP}"
+cmp "${PEPPY_BIOS}" "${TMP}"
+
+# cleanup
+rm -f "${TMP}"*
+exit 0